#!/bin/sh
#

if [ $# -lt 1 -o ! -d "$1" ]; then 
  echo "usage: $0 <installation-directory>"
  echo "e.g.   $0 /usr/local/bin"
  exit 1
fi

dst=$1

cp xmegson $dst
chmod 0555 $dst/xmegson
cp *.so $dst

f=$dst/megsonia

echo "#!/bin/sh" > $f
echo "" >> $f
echo "LD_LIBRARY_PATH=$dst" >> $f
echo "export LD_LIBRARY_PATH" >> $f
echo "$dst/xmegson \$@" >> $f

chmod 0555 $f

echo "complete"
echo "please input $dst/megsonia"
